#ifndef AWIDGET_H
#define AWIDGET_H

#include <QWidget>
#include <QPushButton>
#include <QDebug>
#include "bwidget.h"

class aWidget : public QWidget
{
    Q_OBJECT

private:
    bWidget *b;

public slots:
    void toBHandle();
    void returnAHandle();

signals:
    void toBSignal();

private:
    QPushButton *btnToB;



public:
    aWidget(QWidget *parent = nullptr);
    ~aWidget();
};
#endif // AWIDGET_H
